Bug 580806

Summary: Network doesn't work after Live Migration
Product: [Fedora] Fedora Reporter: Lijian Xu <lxu>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: berrange, clalance, crobinso, itamar, jforbes, moshe.ortov, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-17 13:51:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Lijian Xu 2010-04-09 01:54:30 EDT
Description of problem:
    I'm testing live migration feature following instructions in https://fedoraproject.org/wiki/QA:Testcase_Live_Migration_using_libvirt/virsh, the migration does work, but the pinging to the guest OS was interrupted just after the migration succeeded, and network doesn't work even if I restart the NetworkManager in guest OS.
    This happens both on Fedora 12 and Windows XP SP3 I've tested, maybe it's a bug.
    BTW, I'm using bridge network on both source and dest machines, and the interface names are all the same("br0").

Version-Release number of selected component (if applicable):
    * kernel-2.6.33.1-19.fc13
    * libvirt-0.7.7-1.fc13
    * python-virtinst-0.500.2-3.fc13
    * qemu-0.12.3-6.fc13
    * seabios-0.5.1-1.fc13
    * virt-manager-0.8.3-2.fc13

How reproducible:
    Always.

Steps to Reproduce:
1. Share the image with dest host via NFS.
2. Start Guest OS, and ping it.
3. Run "virsh migrate --live testxp qemu+ssh://10.66.65.51/system"
  
Actual results:
    Ping returns nothing after Guest OS in source host closes, re-ping it, and outputs:

From 10.66.65.190 icmp_seq=2611 Destination Host Unreachable
From 10.66.65.190 icmp_seq=2612 Destination Host Unreachable
From 10.66.65.190 icmp_seq=2613 Destination Host Unreachable

    The same when pinging from Guest OS to Host OS.

Expected results:
    Ping continue uninterrupted.

Additional info:
Comment 1 Cole Robinson 2010-05-21 13:33:02 EDT
Can you still reproduce this issue? On the remote host, if you do 'virsh define $vmname' for the migrated VM, the reboot the VM, do you get network connectivity?

Do VMs on the remote host have network connectivity to start? Can you provide the XML of the migrated guest? Can the guest ping public websites at all?
Comment 2 Cole Robinson 2010-06-17 13:51:17 EDT
Closing as INSUFFICIENT_DATA. Please reopen if you can reproduce with latest F13 or rawhide packages.
Comment 3 Moshe Ortov 2010-08-03 10:08:38 EDT
I have what seems to be an identical issue.

I can confirm that a reboot of the XP SP3 guest OS /does/ return the networking to operation - at the expense of making live migration a bit of a pointless exercise since the intention is to avoid the reboot and keep things running seamlessly.

The identical cluster migrating a Linux VM works properly - there is no interruption to operation.  NeatX/NoMachine sessions continue to operate and no pings are lost.

Right now, this seems to affect XP SP3.  I've tried it with and without the virtio network driver but the result is identical.

My systems are AMD64 quad core CPUs - both servers are identical in all hardware.

A tcpdump shows the XP guest sends out packets, these are forwarded over the bridge and the reply packets also come back onto the guest vnet0 device but the guest does not see them.  e.g. a tcpdump shows the ping request and the reply packet but the guest itself does not receive the reply packet even though tcpdump shows it is there.